petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoView

Prints information about the Tao

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoView(Tao tao, PetscViewer viewer)

Collective on Tao

### InputParameters

| tao | - the Tao context
| viewer | - visualization context

### Options Database Key

-tao_view -Calls TaoView() at the end of TaoSolve()

### Notes

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

### See Also

PetscViewerASCIIOpen()

Level:beginner
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1f.F.html
src/tao/bound/examples/tutorials/plate2.c.html
src/tao/leastsquares/examples/tutorials/chwirut1.c.html
src/tao/leastsquares/examples/tutorials/chwirut1f.F.html